Name: flex
Version: 2.5.4a
Release: ipl16mdk

Summary: A tool for creating scanners (text pattern recognizers)
License: BSD
Group: Development/Other
Url: ftp://ftp.gnu.org/non-gnu/%name

Source: %url/%name-%version.tar.bz2
Patch1: %name-2.5.4-rh-glibc22.patch
Patch2: %name-2.5.4a-rh-skel.patch
Patch3: %name-2.5.4a-alt-texinfo.patch
Patch4: %name-2.5.4-mdk-gcc31.patch

PreReq: %__install_info

%description
The %name program generates scanners.  Scanners are programs which can recognize
lexical patterns in text.

Flex takes pairs of regular expressions and C code as input and generates a C
source file as output.  The output file is compiled and linked with a library
to produce an executable.

The executable searches through its input for occurrences of the regular
expressions.  When a match is found, it executes the corresponding C code.

Flex was designed to work with both Yacc and Bison, and is used by many programs
as part of their build process.

You should install %name if you are going to use your system for application
development.

%prep
%setup -q -n %name-2.5.4
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
# Force regeneration of skel.c
%__rm -f skel.c

autoconf
%configure

%make_build
cd MISC/texinfo
makeinfo --no-split %name

%install
%makeinstall mandir="$RPM_BUILD_ROOT%_man1dir"
%__install -pD -m644 MISC/texinfo/%name.info $RPM_BUILD_ROOT%_infodir/%name.info
%__ln_s flex $RPM_BUILD_ROOT%_bindir/lex
%__ln_s libfl.a $RPM_BUILD_ROOT%_libdir/libl.a
%__ln_s flex.1 $RPM_BUILD_ROOT%_man1dir/lex.1
%__ln_s flex.1 $RPM_BUILD_ROOT%_man1dir/flex++.1

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%_bindir/*
%_libdir/*.*a
%_includedir/*
%_mandir/man?/*
%_infodir/*.info*
%doc COPYING NEWS README MISC/testxxLexer.l

%changelog
* Tue Oct 29 2002 Stanislav Ievlev <inger@altlinux.ru> 2.5.4a-ipl16mdk
- rebuild

* Tue Jul 23 2002 Dmitry V. Levin <ldv@altlinux.org> 2.5.4a-ipl15mdk
- gcc31 C++ compilation fixes (mdk).

* Thu Oct 25 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.5.4a-ipl14mdk
- Fixed generation of glibc22-incompatible code.
- Fixed license, url.

* Tue Jan 16 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.4a-ipl13mdk
- Added and fixed texinfo documentation.
- RE adaptions.

* Tue Sep 12 2000 David BAUDENS <baudens@mandrakesoft.com> 2.5.4a-13mdk
- Allow to build (aka don't use %%configure macro)
- Macrozification for other parts of spec

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.5.4a-12mdk
- Use %{ _tmppath}
- Really use spec-helper.

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 2.5.4a-11mdk
- Fix rpm group
- specfile cleanup for spec-helper

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- avoid uninitialized variable warning.

* Mon May 17 1999 Axalon Bloodstone <axalon@jumpstart.netpirate.org>
- incorrect symlinks

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.5.4 to 2.5.4a

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 2.5.4
